org.apache.jmeter.samplers

## Interface Clearable

All Known Implementing Classes:
  AbstractVisualizer, AssertionVisualizer, ComparisonVisualizer, Graph, GraphVisualizer, MailerResultCollector, MailerVisualizer, MainFrame, MainFrame.ErrorsAndFatalsCounterLogTarget, RespTimeGraphVisualizer, ResultCollector, ResultSaverGui, SimpleDataWriter, StatGraphVisualizer, StatVisualizer, SummaryReport, TableVisualizer, ViewResultsFullVisualizer

    public interface Clearable

Identifies an object which supports the clearing of run-time data using the clearData() method. Intended for implementation by Listeners.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clearData()` Clears the current data of the object.

### Method Detail

#### clearData

    void clearData()

Clears the current data of the object.